#
# Sample script to send BE job history to a receipient using Gmail.
#

# Import-Module "\program files\symantec\backup exec\modules\bemcli\bemcli"

$style = "<style>BODY{font-family: Verdana; font-size: 11pt;}"
$style +=  "TABLE{border: 1px solid black; border-collapse: collapse;}"
$style +=  "TH{border: 1px solid black; background: #dddddd; padding: 5px; }"
$style +=  "TD{border: 1px solid black; padding: 5px; } </style>"

$message = New-Object Net.Mail.MailMessage

# Change the From to a real id.

$message.From = "alias@domainname"

# For each additional receipient, cc or bcc, do another Add.

$message.To.Add("alias@domainname")
# $message.Cc.Add("alias@domainname")
# $message.Bcc.Add("alias@domainname")
$message.Subject = "BE Job History"

$message.IsBodyHtml = $true;

$JobHistory = Get-BEJobHistory

# Create the messge body

$message.Body = $JobHistory | ConvertTo-Html -Head $style

# Attach the job logs.  You can attach the job logs as they are, but they are XML files, so they are not quite readable.  This section is an example of how to attach an existing file as an attachment.

# $joblogs = $JobHistory | Where-Object {!($_.JobLogFilePath -like '')}

# Foreach ($log in $joblogs)  {

#   $att = new-object Net.Mail.Attachment($log.JobLogFilePath)
#   $message.Attachments.Add($att)
#  }

# Convert each joblog to HTML format and then attach it.

Foreach ($log in $JobHistory)  {

   $attName = "Joblog - " + $log.Name + ".htm"
   $attText = $log | Get-BEJobLog -OutputStyle html   
   $att = [System.Net.Mail.Attachment]::CreateAttachmentFromString($attText,$attName) 
   $message.Attachments.Add($att)
  }


$SMTPServer = "smtp.gmail.com"
$SMTPClient = New-Object Net.Mail.SmtpClient($SMTPServer, 587)
$SMTPClient.EnableSsl = $true

# Change the userid and password to real ones.

$SMTPClient.Credentials = New-Object System.Net.NetworkCredential("<userid>", "<password>");

$SMTPClient.Send($message)
